﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XDGImageSizesDemo
{
    public class ViewModel
    {
        string[] images = "Arrow1.png;Arrow2.png;Arrow3.png".Split(';');
        public ObservableCollection<SampleData> Data { get; set; }


        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();

            for(int i=0; i<images.Length; i++)
            {
                SampleData sd = new SampleData() { ID = i, ImagePath = "Images/" + images[i] };
                Data.Add(sd);
            }
        }
        
    }

    public class SampleData
    {
        public int ID { get; set; }
        public string ImagePath { get; set; }
    }
}
